Bug 859575 - Crash when creating two report tabs at once
Crash when creating two report tabs at once
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: audit-viewer (Show other bugs)
22
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 21:23 EDT by Miloslav Trmač
Modified: 2016-07-19 16:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:50:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2012-09-21 21:23:55 EDT
Version-Release number of selected component (if applicable):
audit-viewer-0.7.4-1

Steps to Reproduce:
1. Start audit-viewer
2. View/New report for this view...
3. Keep the property dialog open, and again select View/New report for this view... from the main menu
4. Click OK on the dialog created in 3.
5. Click OK on the dialog created in 2.
  
Actual results:
> Traceback (most recent call last):
>   File "/usr/share/audit-viewer/tab_properties.py", line 480, in __window_response
>     if not self._validate_values():
>   File "/usr/share/audit-viewer/dialog_base.py", line 78, in _validate_values
>     a = self._validate_get_failure()
>   File "/usr/share/audit-viewer/report_properties.py", line 128, in _validate_get_failure
>     r = TabProperties._validate_get_failure(self)
>   File "/usr/share/audit-viewer/tab_properties.py", line 399, in _validate_get_failure
>     if self._tab_name.get_text() == '':
> AttributeError: 'ReportProperties' object has no attribute '_tab_name'
... and it goes downhill from here

The _tab_name property definitely exists when both dialogs are created, so far it's not clear how it can just disappear.
Comment 1 Fedora End Of Life 2013-07-04 01:31:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Miloslav Trmač 2013-07-04 09:25:07 EDT
Reproduced in audit-viewer-0.7.4-3.fc18.x86_64.
Comment 3 Fedora End Of Life 2013-12-21 03:54:55 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Miloslav Trmač 2014-01-02 11:16:31 EST
Reproduced in audit-viewer-0.7.4-3.fc19.x86_64 .
Comment 5 Fedora End Of Life 2015-01-09 12:22:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Miloslav Trmač 2015-01-09 12:38:23 EST
Reproduced in audit-viewer-0.7.4-4.fc20.x86_64 .
Comment 7 Fedora End Of Life 2015-05-29 04:47:11 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Miloslav Trmač 2015-06-03 13:08:45 EDT
Reproduced in audit-viewer-0.7.4-7.fc22.x86_64 .
Comment 9 Fedora End Of Life 2016-07-19 16:50:56 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.